import { HTMLAttributes, ReactElement } from 'react';
import { IconWrapperProps } from '../../icon/icon.types';

export type SegmentedButton = IconWrapperProps & {
    icon?: string;
    selectable?: boolean;
    centralRipple?: boolean;
};

export interface SegmentedButtons {
    selectable?: boolean;
    density?: 0 | -1 | -2 | -3;
    children?: ReactElement<HTMLButtonElement>[];
}

export type SegmentedButtonsProps = SegmentedButtons &
    HTMLAttributes<HTMLDivElement>;
